# Namespace org.accordproject.finance.bond@0.3.0

## Overview
- 2 concepts
- 1 enumerations
- 1 assets
- 0 participants
- 0 transactions
- 0 events
- 4 total declarations

## Imports
- org.accordproject.organization@0.2.0.Organization
- org.accordproject.time@0.3.0.Duration
- org.accordproject.money@0.3.0.CurrencyCode
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.finance.bond@0.3.0.CouponType` {
<< enumeration>>
   + `FIXED`
   + `FLOATING`
}

class `org.accordproject.finance.bond@0.3.0.PaymentFrequency` {
<< concept>>
   + `Integer` `periodMultiplier`
   + `Duration` `period`
}

`org.accordproject.finance.bond@0.3.0.PaymentFrequency` "1" *-- "1" `org.accordproject.time@0.3.0.Duration`
class `org.accordproject.finance.bond@0.3.0.Bond` {
<< concept>>
   + `String[]` `instrumentId`
   + `String` `description`
   + `CurrencyCode` `currency`
   + `String[]` `exchangeId`
   + `String` `clearanceSystem`
   + `String` `definition`
   + `String` `seniority`
   + `CouponType` `couponType`
   + `Double` `couponRate`
   + `DateTime` `maturity`
   + `Double` `parValue`
   + `Double` `faceAmount`
   + `PaymentFrequency` `paymentFrequency`
   + `String` `dayCountFraction`
`org.accordproject.finance.bond@0.3.0.Bond` "1" o-- "1" `org.accordproject.organization@0.2.0.Organization` : issuer
}

`org.accordproject.finance.bond@0.3.0.Bond` "1" *-- "1" `org.accordproject.money@0.3.0.CurrencyCode`
`org.accordproject.finance.bond@0.3.0.Bond` "1" *-- "1" `org.accordproject.finance.bond@0.3.0.CouponType`
`org.accordproject.finance.bond@0.3.0.Bond` "1" *-- "1" `org.accordproject.finance.bond@0.3.0.PaymentFrequency`
`org.accordproject.finance.bond@0.3.0.Bond` "1" o-- "1" `org.accordproject.organization@0.2.0.Organization` : issuer
class `org.accordproject.finance.bond@0.3.0.BondAsset` {
<< asset>>
   + `String` `ISINCode`
   + `Bond` `bond`
}

`org.accordproject.finance.bond@0.3.0.BondAsset` "1" *-- "1" `org.accordproject.finance.bond@0.3.0.Bond`
```

# Namespace org.accordproject.money@0.3.0

## Overview
- 3 concepts
- 2 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 5 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.money@0.3.0.DigitalMonetaryAmount` {
<< concept>>
   + `Double` `doubleValue`
   + `DigitalCurrencyCode` `digitalCurrencyCode`
}

`org.accordproject.money@0.3.0.DigitalMonetaryAmount` "1" *-- "1" `org.accordproject.money@0.3.0.DigitalCurrencyCode`
class `org.accordproject.money@0.3.0.DigitalCurrencyCode` {
<< enumeration>>
   + `ADA`
   + `BCH`
   + `BTC`
   + `DASH`
   + `EOS`
   + `ETC`
   + `ETH`
   + `LTC`
   + `NEO`
   + `XLM`
   + `XMR`
   + `XRP`
   + `ZEC`
}

class `org.accordproject.money@0.3.0.MonetaryAmount` {
<< concept>>
   + `Double` `doubleValue`
   + `CurrencyCode` `currencyCode`
}

`org.accordproject.money@0.3.0.MonetaryAmount` "1" *-- "1" `org.accordproject.money@0.3.0.CurrencyCode`
class `org.accordproject.money@0.3.0.CurrencyCode` {
<< enumeration>>
   + `AED`
   + `AFN`
   + `ALL`
   + `AMD`
   + `ANG`
   + `AOA`
   + `ARS`
   + `AUD`
   + `AWG`
   + `AZN`
   + `BAM`
   + `BBD`
   + `BDT`
   + `BGN`
   + `BHD`
   + `BIF`
   + `BMD`
   + `BND`
   + `BOB`
   + `BOV`
   + `BRL`
   + `BSD`
   + `BTN`
   + `BWP`
   + `BYN`
   + `BZD`
   + `CAD`
   + `CDF`
   + `CHE`
   + `CHF`
   + `CHW`
   + `CLF`
   + `CLP`
   + `CNY`
   + `COP`
   + `COU`
   + `CRC`
   + `CUC`
   + `CUP`
   + `CVE`
   + `CZK`
   + `DJF`
   + `DKK`
   + `DOP`
   + `DZD`
   + `EGP`
   + `ERN`
   + `ETB`
   + `EUR`
   + `FJD`
   + `FKP`
   + `GBP`
   + `GEL`
   + `GHS`
   + `GIP`
   + `GMD`
   + `GNF`
   + `GTQ`
   + `GYD`
   + `HKD`
   + `HNL`
   + `HRK`
   + `HTG`
   + `HUF`
   + `IDR`
   + `ILS`
   + `INR`
   + `IQD`
   + `IRR`
   + `ISK`
   + `JMD`
   + `JOD`
   + `JPY`
   + `KES`
   + `KGS`
   + `KHR`
   + `KMF`
   + `KPW`
   + `KRW`
   + `KWD`
   + `KYD`
   + `KZT`
   + `LAK`
   + `LBP`
   + `LKR`
   + `LRD`
   + `LSL`
   + `LYD`
   + `MAD`
   + `MDL`
   + `MGA`
   + `MKD`
   + `MMK`
   + `MNT`
   + `MOP`
   + `MRU`
   + `MUR`
   + `MVR`
   + `MWK`
   + `MXN`
   + `MXV`
   + `MYR`
   + `MZN`
   + `NAD`
   + `NGN`
   + `NIO`
   + `NOK`
   + `NPR`
   + `NZD`
   + `OMR`
   + `PAB`
   + `PEN`
   + `PGK`
   + `PHP`
   + `PKR`
   + `PLN`
   + `PYG`
   + `QAR`
   + `RON`
   + `RSD`
   + `RUB`
   + `RWF`
   + `SAR`
   + `SBD`
   + `SCR`
   + `SDG`
   + `SEK`
   + `SGD`
   + `SHP`
   + `SLL`
   + `SOS`
   + `SRD`
   + `SSP`
   + `STN`
   + `SVC`
   + `SYP`
   + `SZL`
   + `THB`
   + `TJS`
   + `TMT`
   + `TND`
   + `TOP`
   + `TRY`
   + `TTD`
   + `TWD`
   + `TZS`
   + `UAH`
   + `UGX`
   + `USD`
   + `USN`
   + `UYI`
   + `UYU`
   + `UZS`
   + `VEF`
   + `VND`
   + `VUV`
   + `WST`
   + `XAF`
   + `XAG`
   + `XAU`
   + `XBA`
   + `XBB`
   + `XBC`
   + `XBD`
   + `XCD`
   + `XDR`
   + `XOF`
   + `XPD`
   + `XPF`
   + `XPT`
   + `XSU`
   + `XTS`
   + `XUA`
   + `XXX`
   + `YER`
   + `ZAR`
   + `ZMW`
   + `ZWL`
}

class `org.accordproject.money@0.3.0.CurrencyConversion` {
<< concept>>
   + `CurrencyCode` `from`
   + `CurrencyCode` `to`
   + `Double` `rate`
}

`org.accordproject.money@0.3.0.CurrencyConversion` "1" *-- "1" `org.accordproject.money@0.3.0.CurrencyCode`
`org.accordproject.money@0.3.0.CurrencyConversion` "1" *-- "1" `org.accordproject.money@0.3.0.CurrencyCode`
```

# Namespace org.accordproject.time@0.3.0

## Overview
- 2 concepts
- 4 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 6 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.time@0.3.0.Month` {
<< enumeration>>
   + `January`
   + `February`
   + `March`
   + `April`
   + `May`
   + `June`
   + `July`
   + `August`
   + `September`
   + `October`
   + `November`
   + `December`
}

class `org.accordproject.time@0.3.0.Day` {
<< enumeration>>
   + `Monday`
   + `Tuesday`
   + `Wednesday`
   + `Thursday`
   + `Friday`
   + `Saturday`
   + `Sunday`
}

class `org.accordproject.time@0.3.0.TemporalUnit` {
<< enumeration>>
   + `seconds`
   + `minutes`
   + `hours`
   + `days`
   + `weeks`
}

class `org.accordproject.time@0.3.0.Duration` {
<< concept>>
   + `Long` `amount`
   + `TemporalUnit` `unit`
}

`org.accordproject.time@0.3.0.Duration` "1" *-- "1" `org.accordproject.time@0.3.0.TemporalUnit`
class `org.accordproject.time@0.3.0.PeriodUnit` {
<< enumeration>>
   + `days`
   + `weeks`
   + `months`
   + `quarters`
   + `years`
}

class `org.accordproject.time@0.3.0.Period` {
<< concept>>
   + `Long` `amount`
   + `PeriodUnit` `unit`
}

`org.accordproject.time@0.3.0.Period` "1" *-- "1" `org.accordproject.time@0.3.0.PeriodUnit`
```

# Namespace org.accordproject.address@0.2.0

## Overview
- 1 concepts
- 0 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 1 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.address@0.2.0.PostalAddress` {
<< concept>>
   + `String` `streetAddress`
   + `String` `postalCode`
   + `String` `postOfficeBoxNumber`
   + `String` `addressRegion`
   + `String` `addressLocality`
   + `String` `addressCountry`
}

```

# Namespace org.accordproject.geo@0.2.0

## Overview
- 3 concepts
- 1 enumerations
- 0 assets
- 0 participants
- 0 transactions
- 0 events
- 4 total declarations

## Imports
- org.accordproject.address@0.2.0.PostalAddress
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.geo@0.2.0.GeoCoordinates` {
<< concept>>
   + `PostalAddress` `address`
   + `String` `addressCountry`
   + `Double` `elevation`
   + `Double` `latitude`
   + `Double` `longitude`
}

`org.accordproject.geo@0.2.0.GeoCoordinates` "1" *-- "1" `org.accordproject.address@0.2.0.PostalAddress`
class `org.accordproject.geo@0.2.0.Place` {
<< concept>>
   + `PostalAddress` `address`
   + `String` `branchCode`
   + `String` `faxNumber`
   + `GeoCoordinates` `geo`
   + `String` `globalLocationNumber`
   + `String` `mapUrl`
   + `String` `isicsV4`
   + `String` `telephone`
}

`org.accordproject.geo@0.2.0.Place` "1" *-- "1" `org.accordproject.address@0.2.0.PostalAddress`
`org.accordproject.geo@0.2.0.Place` "1" *-- "1" `org.accordproject.geo@0.2.0.GeoCoordinates`
class `org.accordproject.geo@0.2.0.Country` {
<< concept>>
   + `String` `name`
   + `CountryCodeISOAlpha2` `optional`
}

`org.accordproject.geo@0.2.0.Country` "1" *-- "1" `org.accordproject.geo@0.2.0.CountryCodeISOAlpha2`
class `org.accordproject.geo@0.2.0.CountryCodeISOAlpha2` {
<< enumeration>>
   + `AD`
   + `AE`
   + `AF`
   + `AG`
   + `AI`
   + `AL`
   + `AM`
   + `AO`
   + `AQ`
   + `AR`
   + `AS`
   + `AT`
   + `AU`
   + `AW`
   + `AX`
   + `AZ`
   + `BA`
   + `BB`
   + `BD`
   + `BE`
   + `BF`
   + `BG`
   + `BH`
   + `BI`
   + `BJ`
   + `BL`
   + `BM`
   + `BN`
   + `BO`
   + `BQ`
   + `BR`
   + `BS`
   + `BT`
   + `BV`
   + `BW`
   + `BY`
   + `BZ`
   + `CA`
   + `CC`
   + `CD`
   + `CF`
   + `CG`
   + `CH`
   + `CI`
   + `CK`
   + `CL`
   + `CM`
   + `CN`
   + `CO`
   + `CR`
   + `CU`
   + `CV`
   + `CW`
   + `CX`
   + `CY`
   + `CZ`
   + `DE`
   + `DJ`
   + `DK`
   + `DM`
   + `DO`
   + `DZ`
   + `EC`
   + `EE`
   + `EG`
   + `EH`
   + `ER`
   + `ES`
   + `ET`
   + `FI`
   + `FJ`
   + `FK`
   + `FM`
   + `FO`
   + `FR`
   + `GA`
   + `GB`
   + `GD`
   + `GE`
   + `GF`
   + `GG`
   + `GH`
   + `GI`
   + `GL`
   + `GM`
   + `GN`
   + `GP`
   + `GQ`
   + `GR`
   + `GS`
   + `GT`
   + `GU`
   + `GW`
   + `GY`
   + `HK`
   + `HM`
   + `HN`
   + `HR`
   + `HT`
   + `HU`
   + `ID`
   + `IE`
   + `IL`
   + `IM`
   + `IN`
   + `IO`
   + `IQ`
   + `IR`
   + `IS`
   + `IT`
   + `JE`
   + `JM`
   + `JO`
   + `JP`
   + `KE`
   + `KG`
   + `KH`
   + `KI`
   + `KM`
   + `KN`
   + `KP`
   + `KR`
   + `KW`
   + `KY`
   + `KZ`
   + `LA`
   + `LB`
   + `LC`
   + `LI`
   + `LK`
   + `LR`
   + `LS`
   + `LT`
   + `LU`
   + `LV`
   + `LY`
   + `MA`
   + `MC`
   + `MD`
   + `ME`
   + `MF`
   + `MG`
   + `MH`
   + `MK`
   + `ML`
   + `MM`
   + `MN`
   + `MO`
   + `MP`
   + `MQ`
   + `MR`
   + `MS`
   + `MT`
   + `MU`
   + `MV`
   + `MW`
   + `MX`
   + `MY`
   + `MZ`
   + `NA`
   + `NC`
   + `NE`
   + `NF`
   + `NG`
   + `NI`
   + `NL`
   + `NO`
   + `NP`
   + `NR`
   + `NU`
   + `NZ`
   + `OM`
   + `PA`
   + `PE`
   + `PF`
   + `PG`
   + `PH`
   + `PK`
   + `PL`
   + `PM`
   + `PN`
   + `PR`
   + `PS`
   + `PT`
   + `PW`
   + `PY`
   + `QA`
   + `RE`
   + `RO`
   + `RS`
   + `RU`
   + `RW`
   + `SA`
   + `SB`
   + `SC`
   + `SD`
   + `SE`
   + `SG`
   + `SH`
   + `SI`
   + `SJ`
   + `SK`
   + `SL`
   + `SM`
   + `SN`
   + `SO`
   + `SR`
   + `SS`
   + `ST`
   + `SV`
   + `SX`
   + `SY`
   + `SZ`
   + `TC`
   + `TD`
   + `TF`
   + `TG`
   + `TH`
   + `TJ`
   + `TK`
   + `TL`
   + `TM`
   + `TN`
   + `TO`
   + `TR`
   + `TT`
   + `TV`
   + `TW`
   + `TZ`
   + `UA`
   + `UG`
   + `UM`
   + `US`
   + `UY`
   + `UZ`
   + `VA`
   + `VC`
   + `VE`
   + `VG`
   + `VI`
   + `VN`
   + `VU`
   + `WF`
   + `WS`
   + `YE`
   + `YT`
   + `ZA`
   + `ZM`
   + `ZW`
}

```

# Namespace org.accordproject.organization@0.2.0

## Overview
- 0 concepts
- 0 enumerations
- 0 assets
- 1 participants
- 0 transactions
- 0 events
- 1 total declarations

## Imports
- org.accordproject.geo@0.2.0.Place
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.organization@0.2.0.Organization` {
<< participant>>
   + `String` `identifier`
   + `String` `name`
   + `String` `description`
   + `String` `duns`
   + `Place` `place`
}

`org.accordproject.organization@0.2.0.Organization` "1" *-- "1" `org.accordproject.geo@0.2.0.Place`
```

